Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
ExpectFailureTest Class Reference
Inheritance diagram for ExpectFailureTest:

## Public Types
enum | FailureMode { FATAL_FAILURE, NONFATAL_FAILURE }
Public Types inherited from Test
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc

## Static Public Member Functions
static void | AddFailure (FailureMode failure)
Static Public Member Functions inherited from Test
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)

## Additional Inherited Members
Public Member Functions inherited from Test
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()
Protected Member Functions inherited from Test
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()

## Member Enumeration Documentation

enum FailureMode

Enumerator
FATAL_FAILURE |
NONFATAL_FAILURE |

## Member Function Documentation

static void AddFailure | ( | FailureMode | failure | ) |
| inline static

The documentation for this class was generated from the following file:

- testing/googleTest/test/gtest_output_test_.cc